Improve backwards compatibility of Issue 649 fix
authorMichele Tartara <mtartara@google.com>
Wed, 8 Jan 2014 14:01:24 +0000 (14:01 +0000)
committerMichele Tartara <mtartara@google.com>
Thu, 9 Jan 2014 11:22:11 +0000 (12:22 +0100)
commit02a6b50ae3bfe5eaa07efe27b524881fad542c95
tree752086851c7ff919d26f3d29d2d35fd6c87ec86e
parentd7f27a3e2a402890d5ec5c17de7c0b9cabee699e
Improve backwards compatibility of Issue 649 fix

Commit e6e4ff4cf8d0100f331f94f7a27aa1e03a5d0e7d fixed Issue 649 by switching the
separator for usb_devices from comma to space. That solved the problem with
the command line, but RAPI was able to work with commas too, so, for backwards
compatibility we need to keep supporting that as well.

Also, in order to avoid changing the format of the config file, the default
internal representation is brought back to being comma-based, and it is changed
at the interface level (CLI or RAPI) before being passed on.

Signed-off-by: Michele Tartara <mtartara@google.com>
Reviewed-by: Klaus Aehlig <aehlig@google.com>
lib/cli.py
lib/client/gnt_instance.py
lib/hypervisor/hv_kvm.py
lib/rapi/rlib2.py
man/gnt-instance.rst